# Create Inquiries

## Create an inquiry

<mark style="color:green;">`POST`</mark> `/api/v1/inquiries`

Create a new inquiry in Monolith vai HTTPS

#### Headers

| Name                                        | Type   | Description      |
| ------------------------------------------- | ------ | ---------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | Monolith API Key |

#### Request Body

| Name                                                  | Type   | Description                                                                                                                                                                                                     |
| ----------------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| client<mark style="color:red;">\*</mark>              | JSON   | A JSON object with client info.                                                                                                                                                                                 |
| request\_name                                         | String | A name for this inquiry.                                                                                                                                                                                        |
| request\_id                                           | String | <p>This is the request\_id of the inquiry.<br>This value is usually associated with a Relay request, but can also be associated with external request systems if utilized via API when creating an inquiry.</p> |
| client\_ref\_number                                   | String | A case or matter number related to the requestor.                                                                                                                                                               |
| description                                           | String | A description of the inquiry - usually the details of the request being made.                                                                                                                                   |
| inquiry\_type                                         | String | Type of inquiry - should map to the case types in your Monolith database.                                                                                                                                       |
| referred\_by                                          | String | Source of inquiry - defaults to "API Request"                                                                                                                                                                   |
| evidence                                              | Array  | This is an array of evidence objects.                                                                                                                                                                           |
| client.name<mark style="color:red;">\*</mark>         | String | Name of the requestor.                                                                                                                                                                                          |
| client.email<mark style="color:red;">\*</mark>        | String | Email of requesting client.                                                                                                                                                                                     |
| client.org                                            | String | Organization of requestor.                                                                                                                                                                                      |
| client.phone                                          | String | Office phone number of requestor.                                                                                                                                                                               |
| client.mobile                                         | String | Mobile phone number of requestor.                                                                                                                                                                               |
| client.address                                        | String | Address of requestor.                                                                                                                                                                                           |
| client.city                                           | String | City of requestor.                                                                                                                                                                                              |
| client.region                                         | String | State or province of requestor.                                                                                                                                                                                 |
| client.postal\_code                                   | String | Postal code for requestor.                                                                                                                                                                                      |
| client.type                                           | String | Type of client                                                                                                                                                                                                  |
| evidence.evidence\_number                             | String | Evidence number for requestor                                                                                                                                                                                   |
| evidence.item\_name<mark style="color:red;">\*</mark> | String | Name of evidence item.                                                                                                                                                                                          |
| evidence.provider                                     | String | Manufacturer or service provider.                                                                                                                                                                               |
| evidence.evidence\_type                               | String | Type of evidence - should map to evidence types in Monolith.                                                                                                                                                    |
| evidence.unique\_id                                   | String | Serial number or account identifier for evidence item.                                                                                                                                                          |
| evidence.description                                  | String | Description of evidence.                                                                                                                                                                                        |
| contacts                                              | Array  | Array of contact objects                                                                                                                                                                                        |
| contacts.name<mark style="color:red;">\*</mark>       | String | Name of person.                                                                                                                                                                                                 |
| contacts.type                                         | String | Type of contact/person.                                                                                                                                                                                         |
| contacts.unique\_id                                   | String | Identifier of person.                                                                                                                                                                                           |
| contacts.description                                  | String | Description or notes related to person.                                                                                                                                                                         |
| documents                                             | Array  | Array of document objects                                                                                                                                                                                       |
| documents.name<mark style="color:red;">\*</mark>      | String | Filename of document                                                                                                                                                                                            |
| documents.data<mark style="color:red;">\*</mark>      | String | Base64 encoded string of file data.                                                                                                                                                                             |

### Create Inquiry Example

{% code overflow="wrap" lineNumbers="true" fullWidth="false" %}

```python
# Using uuid as URL path param

import requests

# set your Monolith API key into a variable
api_key = "qucuqwqg5q3rve28ehfh" # this is a fake API key

# Set the api key in the header of the request
headers = {
	"x-api-key": api_key
}

data = {
    "request_name": "My New Request/Inquiry",
    "inquiry_type": "Incident Response",
    "description": "this is an api test",
    "client": { # client is required for this API
        "name": "dev forensics", # required
        "email": "dev5@monolithforensics.com" # required
    },
    "contacts": [
        {
            "name": "Rick Sanchez" # required when contacts is provided
        }
    ],
    "documents": [
        # 25 MB file size limit
        {
           # name is required when documents is provided
            "name": "Important Document.pdf",
            # data is also required
            "data": "JVBERi0xLjQKJfbk/N8KMSAwIG9iago8PAovVHlwZSAvQ2F0YWxvZwovVmVyc2lvbiAvMS40Ci9QYWdlcyAyIDAgUgovU3RydWN0VHJlZVJvb3QgMyAwIFIKL01hcmtJbmZvIDQgMCBSCi9MYW5nIChlbikKL1ZpZXdlclByZWZlcmVuY2VzIDUgMCBSCj4+CmVuZG9iago2IDAgb2JqCjw8Ci9DcmVhdG9yIChDYW52YSkKL1Byb2R1Y2VyIChDYW52YSkKL0NyZWF0aW9uRGF0ZSAoRDoyMDIzMDkyNTIwMTAwNSswMCcwMCcpCi9Nb2REYXRlIChEOjIwMjMwOTI1MjAxMDA1KzAwJzAwJykKL0tleXdvcmRzIChEQUZ2ZWlFajFBOCxCQUU0aklBMXU2VSkKL0F1dGhvciAoTWF0dCBEYW5uZXIpCi9UaXRsZSAoTmVwdHVuZSBQcm9kdWN0IEZseWVyKQo+PgplbmRvYmoKMiAwIG9iago8PAovVHlwZSAvUGFnZXMKL0tpZHMgWzcgMCBSXQovQ291bnQgMQo+PgplbmRvYmoKMyAwIG9iago8PAovVHlwZSAvU3RydWN0VHJlZVJvb3QKL1BhcmVudFRyZWUgOCAwIFIKL1BhcmVudFRyZWVOZXh0S2V5IDEKL0sgWzkgMCBSXQovSURUcmVlIDEwIDAgUgo+"
        }
    ],
    "evidence": [
        {
            "evidence_number": "123456", 
            "evidence_type": "Smartphone",
            "item_name": "iPhone 15",  # required when evidence array is provided
            "provider": "Apple",
            "unique_id": "55485415241", 
            "description": "This is test evidence"
        }
    ]
}

# Use the appropriate API endpoint for your region
api_url = f"https://monolith-app.monolithforensics.com/api/v1/inquiries"

# Execute the POST request
# returns a JSON object with inquiry_id and uuid values
response = requests.post(api_url, headers=headers, json=data)

# print the JSON response to console
print(response.json())
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monolithforensics.com/monolith/monolith-api/inquiries-api/create-inquiries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
